## org.exist.xmldb
Class LocalIndexQueryService

    java.lang.Object
      org.exist.xmldb.LocalIndexQueryService

All Implemented Interfaces:
  Configurable, IndexQueryService, Service

public class LocalIndexQueryService
extends java.lang.Object
implements IndexQueryService

Constructor Summary
`LocalIndexQueryService(User user, BrokerPool pool, LocalCollection parent)`

Method Summary
`void` `configureCollection(java.lang.String configData)`
`Occurrences[]` `getIndexedElements(boolean inclusive)` Returns frequency statistics on all elements and attributes contained in the structure index for the current collection.
`java.lang.String` `getName()` Returns the name associated with the Service instance.
`java.lang.String` `getProperty(java.lang.String name)` Returns the value of the property identified by `name`.
`java.lang.String` `getVersion()` Gets the Version attribute of the Service object
`void` `reindexCollection()` Reindex the current collection, i.e.
`void` `reindexCollection(java.lang.String collectionPath)` Reindex the collection specified by its path.
`void` `reindexCollection(XmldbURI collectionPath)` Reindex the collection specified by its path.
`Occurrences[]` `scanIndexTerms(java.lang.String start, java.lang.String end, boolean inclusive)` Queries the fulltext index to retrieve information on indexed words contained in the index for the current collection.
`Occurrences[]` `scanIndexTerms(java.lang.String xpath, java.lang.String start, java.lang.String end)` Queries the fulltext index to retrieve information on indexed words occurring within the set of nodes identified by a given XPath expression.
`void` `setCollection(Collection col)` Sets the Collection attribute of the Service object
`void` `setProperty(java.lang.String name, java.lang.String value)` Sets the property `name` to have the value provided in `value`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalIndexQueryService

    public LocalIndexQueryService(User user,
                                  BrokerPool pool,
                                  LocalCollection parent)

Method Detail

### reindexCollection

    public void reindexCollection()
                           throws XMLDBException

  Description copied from interface: `IndexQueryService`
  Reindex the current collection, i.e. the collection from which this service has been retrieved.

  Specified by:
    `reindexCollection` in interface `IndexQueryService`
  Throws:
    `XMLDBException`

### reindexCollection

    public void reindexCollection(java.lang.String collectionPath)
                           throws XMLDBException

  Description copied from interface: `IndexQueryService`
  Reindex the collection specified by its path.

  Specified by:
    `reindexCollection` in interface `IndexQueryService`
  Parameters:
    `collectionPath` -
  Throws:
    `XMLDBException`

### reindexCollection

    public void reindexCollection(XmldbURI collectionPath)
                           throws XMLDBException

  Description copied from interface: `IndexQueryService`
  Reindex the collection specified by its path.

  Specified by:
    `reindexCollection` in interface `IndexQueryService`
  Parameters:
    `collectionPath` -
  Throws:
    `XMLDBException`

### configureCollection

    public void configureCollection(java.lang.String configData)
                             throws XMLDBException

  Specified by:
    `configureCollection` in interface `IndexQueryService`
  Throws:
    `XMLDBException`

### getIndexedElements

    public Occurrences[] getIndexedElements(boolean inclusive)
                                     throws XMLDBException

  Description copied from interface: `IndexQueryService`
  Returns frequency statistics on all elements and attributes contained in the structure index for the current collection.

  Specified by:
    `getIndexedElements` in interface `IndexQueryService`
  Parameters:
    `inclusive` -
  Throws:
    `XMLDBException`

### getName

    public java.lang.String getName()
                             throws XMLDBException

  Description copied from interface: `Service`
  Returns the name associated with the Service instance.

  Specified by:
    `getName` in interface `Service`
  Returns:
    the name of the object.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getVersion

    public java.lang.String getVersion()
                                throws XMLDBException

  Description copied from interface: `Service`
  Gets the Version attribute of the Service object

  Specified by:
    `getVersion` in interface `Service`
  Returns:
    The Version value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### setCollection

    public void setCollection(Collection col)
                       throws XMLDBException

  Description copied from interface: `Service`
  Sets the Collection attribute of the Service object

  Specified by:
    `setCollection` in interface `Service`
  Parameters:
    `col` - The new Collection value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getProperty

    public java.lang.String getProperty(java.lang.String name)
                                 throws XMLDBException

  Description copied from interface: `Configurable`
  Returns the value of the property identified by `name`.

  Specified by:
    `getProperty` in interface `Configurable`
  Parameters:
    `name` - the name of the property to retrieve.
  Returns:
    the property value or null if no property exists.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)
                     throws XMLDBException

  Description copied from interface: `Configurable`
  Sets the property `name` to have the value provided in `value`.

  Specified by:
    `setProperty` in interface `Configurable`
  Parameters:
    `name` - the name of the property to set.
    `value` - the value to set for the property.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### scanIndexTerms

    public Occurrences[] scanIndexTerms(java.lang.String start,
                                        java.lang.String end,
                                        boolean inclusive)
                                 throws XMLDBException

  Description copied from interface: `IndexQueryService`
  Queries the fulltext index to retrieve information on indexed words contained in the index for the current collection. Returns a list of `Occurrences` for all words contained in the index. If param end is null, all words starting with the string sequence param start are returned. Otherwise, the method returns all words that come after start and before end in lexical order.

  Specified by:
    `scanIndexTerms` in interface `IndexQueryService`
  Parameters:
    `start` -
    `end` -
    `inclusive` -
  Throws:
    `XMLDBException`

### scanIndexTerms

    public Occurrences[] scanIndexTerms(java.lang.String xpath,
                                        java.lang.String start,
                                        java.lang.String end)
                                 throws XMLDBException

  Description copied from interface: `IndexQueryService`
  Queries the fulltext index to retrieve information on indexed words occurring within the set of nodes identified by a given XPath expression. Returns a list of `Occurrences` for all words contained in the index. If param end is null, all words starting with the string sequence param start are returned. Otherwise, the method returns all words that come after start and before end in lexical order.

  Specified by:
    `scanIndexTerms` in interface `IndexQueryService`
  Parameters:
    `xpath` -
    `start` -
    `end` -
  Throws:
    `XMLDBException`

Copyright (C) Wolfgang Meier. All rights reserved.